Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.util
Class DbPrintLog

    java.lang.Object
      com.sleepycat.je.util.DbPrintLog

    public class DbPrintLog

extends Object

Dumps the contents of the log in XML format to System.out.

To print an environment log:

          DbPrintLog.main(argv);

Constructor Summary
`DbPrintLog()`

Method Summary
`void` | `dump(File envHome, String entryTypes, String txnIds, long startLsn, long endLsn, boolean verbose, boolean stats, boolean repEntriesOnly, boolean csvFormat)` Dump a JE log into human readable form.
`static void` | `main(String[] argv)` The main used by the DbPrintLog utility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbPrintLog

    public DbPrintLog()

Method Detail

### dump

    public void dump(File envHome,
                     String entryTypes,
                     String txnIds,
                     long startLsn,
                     long endLsn,
                     boolean verbose,
                     boolean stats,
                     boolean repEntriesOnly,
                     boolean csvFormat)
              throws EnvironmentNotFoundException,
                     EnvironmentLockedException

  Dump a JE log into human readable form.

  Throws:
    `EnvironmentNotFoundException`
    `EnvironmentLockedException`

### main

    public static void main(String[] argv)

  The main used by the DbPrintLog utility.

  Parameters:
    `argv` - An array of command line arguments to the DbPrintLog utility.

         usage: java { com.sleepycat.je.util.DbPrintLog | -jar
         je-<version>.jar DbPrintLog }
          -h <envHomeDir>
          -s  <start file number or LSN, in hex>
          -e  <end file number or LSN, in hex>
          -k  <binary|hex|text|obfuscate> (format for dumping the key)

          -tx <targeted txn ids, comma separated>
          -ty <targeted entry types, comma separated>
          -S  show summary of log entries
          -SC show summary of log entries in CSV format
          -r  only print replicated log entries
          -q  if specified, concise version is printed,
              default is verbose version

    All arguments are optional. The current directory is used if `-h` is not specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.